package tests;

import org.junit.*;
import static org.junit.Assert.*;
import java.util.*;
import topology.*;

public class TestTopoCollection {
    

    FiniteSpace<Integer> oneSphere = TopologyExamples.circle();
   
    @Before
    public void setUp() {
    }
    
    @Test
    public void testNonHausdorffJoin() {
	FiniteSpace<Integer> zeroSphere = new FiniteSpace();
	zeroSphere.addPoint(1);
	zeroSphere.addPoint(2);
	FiniteSpace<Integer> circ 
	    = TopoCollection.nonHausdorffJoin(zeroSphere,zeroSphere); 
	assertEquals(oneSphere.getPointSet(),circ.getPointSet());
	assertEquals(oneSphere.getRelation().getPairs(),
		     circ.getRelation().getPairs());
    }
   
    @After
    public void tearDown() {

    }
    
}
